import React, { useState, useEffect } from 'react';
import { Card, message, Form } from 'antd';
import { connect } from 'dva';
import { createForm, FieldTypes } from '../../../components/XForm';
import router from 'umi/router';
import apis from '../../../services/apis';
import request from '../../../utils/request';

let helpTips = '';


// const handleFormValueChange = (props, changedValues, allValues) => {
//   setExtraData(allValues);
// };

const XForm = createForm();

const header = props => {


  const imgId =1;


  const [data, setData] = useState({});

  if (imgId) {
    useEffect(() => {
      getData(imgId);
    }, []);

    // 查询列表
    const getData = imgId => {

      request({ ...apis.carsuseFigure.getCustomImg, urlData: { id: 1 } }).then(data => {

        setData(data);
      });
    };
  }

  const fields = [
    {
      label: '图片',
      name: 'imgUrl',
      type: FieldTypes.ImageUploader,
      value: data.imgUrl,
      help: '建议图片尺寸：750*600px，比例5:4,格式：jpg，用于：首页分享',
      rules: [{ required: true, message: '请选择图片' }],
    },
    // {
    //   label: '类型',
    //   name: 'imgType',
    //   type: FieldTypes.Select,
    //   value: data.imgType,
    //   dict: [
    //     {
    //       label: '首页分享',
    //       value: 'index',
    //     },
    //     // {
    //     //   label: '首页资讯',
    //     //   value: 'indexNews',
    //     // },
    //   ],
    //   rules: [{ required: true, message: '请选择类型' }],
    // },
    {
      label: '分享文案',
      name: 'imgDocument',
      type: FieldTypes.Text,
      value: data.imgDocument,
      rules: [{ required: true, message: '请输入分享文案' }],
    },
    {
      label: '是否启用',
      name: 'status',
      type: FieldTypes.Switch,
      value: data.status===1?true:false,
      // rules: [{ required: true, message: '请输入分享文案' }],
    },
  ];

  const handleSubmit = values => {
    if (imgId) {
      values.imgId = imgId;
      values.imgType = 'index'
      values.status = values.status==true?1:-1
      request({ ...apis.carsuseFigure.updateCustomImg, data: values })
        .then(data => {
          message.info('操作成功');
          // cancelPage();
        })
        .catch(err => {
          message.info(err.msg || err.message);
        });
    } 
    // else {
    //   request({ ...apis.carsuseFigure.addCustomImg, data: values })
    //     .then(data => {
    //       cancelPage();
    //     })
    //     .catch(err => {
    //       message.info(err.msg || err.message);
    //     });
    // }
  };

  const cancelPage = () => {
    router.go('-1')
  };

  return (
    <Card>
      <XForm onSubmit={handleSubmit} onCancel={cancelPage} fields={fields}></XForm>
    </Card>
  );
};

const WrappedNormalLoginForm = Form.create({ name: 'header' })(header);

export default connect(({ user }) => ({
  currentUser: user.currentUser,
}))(WrappedNormalLoginForm);
